import VPlay 1.0
import QtQuick 1.1

SceneBase {
  id: selectLevelScene

  onBackPressed: window.state = "menu"

  MultiResolutionImage {
    source: "img/selectlevelbg-sd.png"
    anchors.centerIn: parent
  }

  // back button to leave scene
  SimpleButton {
    text: "Back"
    anchors.right: parent.right
    onClicked: backPressed()
  }

  // levels to be selected
  Column {
    anchors.centerIn: parent
    SimpleButton {
      text: "Level1"
      onClicked: {
        window.selectedLevel = "Level1"
        window.state = "game"
      }
    }
    SimpleButton {
      text: "Level2"
      onClicked: {
        window.selectedLevel = "Level2"
        window.state = "game"
      }
    }
    SimpleButton {
      text: "Level3"
      onClicked: {
        window.selectedLevel = "Level3"
        window.state = "game"
      }
    }
  }
}
